package cfca.paperless.encrypt;

import cfca.paperless.encrypt.EncryptUtil;
import cfca.sadk.algorithm.common.PKIException;
import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.io.UnsupportedEncodingException;
import java.util.Scanner;

public class EncryptUtilTest {

   public static void main(String[] args) {
      try {
         String e = "0";
         if(args.length == 1) {
            e = args[0];
         }

         if("0".equals(e)) {
            testEncrypt();
         } else if("1".equals(e)) {
            testDecrypt();
         } else {
            System.out.println("Process Mode Is Invalid.");
         }
      } catch (Exception var2) {
         var2.printStackTrace();
      }

   }

   private static void testEncrypt() throws UnsupportedEncodingException, PKIException, FileNotFoundException {
      Scanner scanner = new Scanner(System.in);
      System.out.print("Please Input Plain Text For Username:");
      String plainUsername = scanner.next();
      System.out.print("Please Input Plain Text For Password:");
      String plainPassword = scanner.next();
      scanner.close();
      System.out.println("Plain Username Is:" + plainUsername);
      System.out.println("Plain Password Is:" + plainPassword);
      String encryptedUsername = EncryptUtil.encrypto(plainUsername);
      String encryptedPassword = EncryptUtil.encrypto(plainPassword);
      System.out.println("Encrypt Username Is:" + encryptedUsername);
      System.out.println("Encrypt Password Is:" + encryptedPassword);
      PrintWriter pw = new PrintWriter("EncryptedUserinfo.ini");
      pw.print("Encrypt Username Is:");
      pw.println(encryptedUsername);
      pw.print("Encrypt Password Is:");
      pw.println(encryptedPassword);
      pw.close();
      System.out.println("Userinfo encrypt finish.");
      System.out.println("Please check the local file [EncryptedUserinfo.ini].");
   }

   private static void testDecrypt() throws UnsupportedEncodingException, PKIException, FileNotFoundException {
      Scanner scanner = new Scanner(System.in);
      System.out.print("Please Input Encrypt Text For Username:");
      String encryptedUsername = scanner.next();
      System.out.print("Please Input Encrypt Text For Password:");
      String encryptedPassword = scanner.next();
      scanner.close();
      System.out.println("Encrypt Username Is:" + encryptedUsername);
      System.out.println("Encrypt Password Is:" + encryptedPassword);
      String plainUsername = EncryptUtil.decrypto(encryptedUsername);
      String plainPassword = EncryptUtil.decrypto(encryptedPassword);
      System.out.println("Plain Username Is:" + plainUsername);
      System.out.println("Plain Password Is:" + plainPassword);
      PrintWriter pw = new PrintWriter("PlainUserinfo.ini");
      pw.print("Plain Username Is:");
      pw.println(plainUsername);
      pw.print("Plain Password Is:");
      pw.println(plainPassword);
      pw.close();
      System.out.println("Userinfo decrypt finish.");
      System.out.println("Please check the local file [PlainUserinfo.ini].");
   }
}
